All of lore.kernel.org
 help / color / mirror / Atom feed
From: Adrian Hunter <adrian.hunter@intel.com>
To: Arnaldo Carvalho de Melo <acme@kernel.org>
Cc: Jiri Olsa <jolsa@redhat.com>, Namhyung Kim <namhyung@kernel.org>,
	Ian Rogers <irogers@google.com>,
	linux-kernel@vger.kernel.org, linux-perf-users@vger.kernel.org
Subject: [PATCH 08/11] perf test: test_intel_pt.sh: Fix return checking
Date: Mon, 12 Sep 2022 11:34:09 +0300	[thread overview]
Message-ID: <20220912083412.7058-9-adrian.hunter@intel.com> (raw)
In-Reply-To: <20220912083412.7058-1-adrian.hunter@intel.com>

The use of set -e will cause a function that returns non-zero to terminate
the script unless the result is consumed by || for example. That is OK if
there is only 1 test function, but not if there are more. Prepare for more
by using ||.

Signed-off-by: Adrian Hunter <adrian.hunter@intel.com>
---
 tools/perf/tests/shell/test_intel_pt.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tools/perf/tests/shell/test_intel_pt.sh b/tools/perf/tests/shell/test_intel_pt.sh
index 075b780fe9ed..7d2f3136ce19 100755
--- a/tools/perf/tests/shell/test_intel_pt.sh
+++ b/tools/perf/tests/shell/test_intel_pt.sh
@@ -72,11 +72,11 @@ count_result()
 		return
 	fi
 	err_cnt=$((err_cnt + 1))
+	ret=0
 }
 
-test_system_wide_side_band
-
-count_result $?
+ret=0
+test_system_wide_side_band || ret=$? ; count_result $ret
 
 cleanup
 
-- 
2.25.1


  parent reply	other threads:[~2022-09-12  8:34 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-12  8:34 [PATCH 00/11] perf test: test_intel_pt.sh: Add per-thread test Adrian Hunter
2022-09-12  8:34 ` [PATCH 01/11] perf test: test_intel_pt.sh: Add cleanup function Adrian Hunter
2022-09-12  8:34 ` [PATCH 02/11] perf test: test_intel_pt.sh: Use a temp directory Adrian Hunter
2022-09-12  8:34 ` [PATCH 03/11] perf test: test_intel_pt.sh: Fix redirection Adrian Hunter
2022-09-12  8:34 ` [PATCH 04/11] perf test: test_intel_pt.sh: Stop using expr Adrian Hunter
2022-09-12  8:34 ` [PATCH 05/11] perf test: test_intel_pt.sh: Stop using backticks Adrian Hunter
2022-09-12  8:34 ` [PATCH 06/11] perf test: test_intel_pt.sh: Use grep -c instead of grep plus wc -l Adrian Hunter
2022-09-12  8:34 ` [PATCH 07/11] perf test: test_intel_pt.sh: Use quotes around variable expansion Adrian Hunter
2022-09-12  8:34 ` Adrian Hunter [this message]
2022-09-12  8:34 ` [PATCH 09/11] perf test: test_intel_pt.sh: Add more output in preparation for more tests Adrian Hunter
2022-09-12  8:34 ` [PATCH 10/11] perf tools: Add debug messages and comments for testing Adrian Hunter
2022-09-12  8:34 ` [PATCH 11/11] perf test: test_intel_pt.sh: Add per-thread test Adrian Hunter
2022-09-13 17:37   ` Namhyung Kim
2022-09-13 17:41 ` [PATCH 00/11] " Namhyung Kim
2022-09-14  8:25   ` Adrian Hunter
2022-09-26 19:35     ` Arnaldo Carvalho de Melo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220912083412.7058-9-adrian.hunter@intel.com \
    --to=adrian.hunter@intel.com \
    --cc=acme@kernel.org \
    --cc=irogers@google.com \
    --cc=jolsa@redhat.com \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-perf-users@vger.kernel.org \
    --cc=namhyung@kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.